
%define _prefix /scisoft

Name:           scisoft-voplot
Version:        1.8
Release:        2%{?dist}
Summary:        Multi-wavelength spectral analysis tool
Distribution:   Scisoft
Group:          Applications/Scientific
License:        Distributable 
Packager:       Carlos Guirao
URL:            http://vo.iucaa.ernet.in/~voi/voplot.htm
Source0:        voplot1_8.zip

BuildArch:      noarch
Requires:       java

%description
VOPlot is a tool for visualizing astronomical data. VOPlot is developed in JAVA,
and acts on data available in VOTABLE, ASCII and FITS formats. VOPlot is
available as a stand alone version, which is to be installed on the user's
machine, or as a web-based version fully integrated with the VizieR database.

%prep
%setup -q -c -n voplot
#rm -rf voplot
#mkdir voplot; cd voplot
#unzip %{SOURCE0}

%build

%install
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 -d %{buildroot}%{_datadir}
cp -pr %{_builddir}/voplot %{buildroot}%{_datadir}/

{
  echo '#!/bin/sh'
  echo '#  Find where this script is located.'
  echo 'java -jar %{_datadir}/voplot/binaries/voplot.jar "$1" "$2" "$3" "$4"'
} > %{buildroot}%{_bindir}/voplot
chmod +x %{buildroot}%{_bindir}/voplot

%files
%doc %{_datadir}/voplot/README.txt
%license %{_datadir}/voplot/license.txt
%{_prefix}
%defattr(-,root,root,-)

%changelog
* Thu Mar 15 2018 Artur Szostak <aszostak@partner.eso.org> 1.8
- Incorporated into automated build system for Scisoft.
- Updating Specfile to use standard RPM path location macros.

* Wed Nov 13 2013 Carlos Guirao <cguirao@eso.org>
- First integration based on SRPM
